Summary: 	The Red Hat Linux configuration tool for the X Window System.
Name: 		Xconfigurator
Version: 	4.10.7
Release: 	3
License: 	GPLv2 or XFree86
Group: 		System
Source0: 	Xconfigurator-%{version}.tar.bz2
Patch0: 	%{name}0.patch
Patch1:		%{name}1.patch
Patch2:		%{name}2.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Xconfigurator is a full-screen, menu-driven program which walks
you through setting up your X server. Xconfigurator is based
on the sources for xf86config, a utility from XFree86.

You should install Xconfigurator if you are installing the X Window
System.

%prep
%setup -q
find . -type f -exec sed -i 's/usr\/X11R6\/lib\/X11\/doc\/README.Config/usr\/doc\/%name-%version\/README.Config/' {} \;
find . -type f -exec sed -i 's/usr\/X11R6\/lib\/X11\/XF86Config-4/etc\/X11\/XF86Config-4/' {} \;
find . -type f -exec sed -i 's/usr\/X11R6\/lib\/X11\/XF86Config.sample/etc\/X11\/XF86Config-4/' {} \;
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/X11R6/man $RPM_BUILD_ROOT/usr/
rm -R $RPM_BUILD_ROOT/usr/X11R6/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO misc/README.Config
/usr/X11R6/bin/Xconfigurator
/usr/X11R6/bin/Xtest
/usr/X11R6/share/Xconfigurator
/usr/man
